package com.willalp.flow.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 流程条件组件对象 hs_flow_condition_model
 *
 * @author willalp
 * @date 2022-10-14
 */

@TableName("hs_flow_condition_model")
public class HsFlowConditionModel {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 组ID
     */
    @Excel(name = "组ID")
    private String groupId;

    /**
     * 参数名称
     */
    @Excel(name = "参数名称")
    private String paramName;


    /** 条件类型（数值，字符） */
    @Excel(name = "条件类型", readConverterExp = "数=值，字符")
    private String conditionType;

    /**
     * 条件字符
     */
    @Excel(name = "条件字符")
    private String conditionChar;

    /**
     * 阈值
     */
    @Excel(name = "阈值")
    private String thresholdValue;

    /**
     * 上一步ID
     */
    @Excel(name = "上一步ID")
    private String upStepId;

    /**
     * 下一步ID
     */
    @Excel(name = "下一步ID")
    private String downStepId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamName() {
        return paramName;
    }

    public void setConditionChar(String conditionChar) {
        this.conditionChar = conditionChar;
    }

    public String getConditionChar() {
        return conditionChar;
    }

    public void setThresholdValue(String thresholdValue) {
        this.thresholdValue = thresholdValue;
    }

    public String getThresholdValue() {
        return thresholdValue;
    }

    public void setUpStepId(String upStepId) {
        this.upStepId = upStepId;
    }

    public String getUpStepId() {
        return upStepId;
    }

    public void setDownStepId(String downStepId) {
        this.downStepId = downStepId;
    }

    public String getDownStepId() {
        return downStepId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("paramName", getParamName())
                .append("conditionChar", getConditionChar())
                .append("thresholdValue", getThresholdValue())
                .append("upStepId", getUpStepId())
                .append("downStepId", getDownStepId())
                .toString();
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getConditionType() {
        return conditionType;
    }

    public void setConditionType(String conditionType) {
        this.conditionType = conditionType;
    }
}
